import request from '@/utils/request'

// 查询属性组列表
export function listGroup(query) {
  return request({
    url: '/product/group/list',
    method: 'get',
    params: query
  })
}

// 查询属性组详细
export function getGroup(id) {
  return request({
    url: '/product/group/' + id,
    method: 'get'
  })
}

// 新增属性组
export function addGroup(data) {
  return request({
    url: '/product/group',
    method: 'post',
    data: data
  })
}

// 修改属性组
export function updateGroup(data) {
  return request({
    url: '/product/group',
    method: 'put',
    data: data
  })
}

// 删除属性组
export function delGroup(id) {
  return request({
    url: '/product/group/' + id,
    method: 'delete'
  })
}
